Create dashboard

cURL

curl --request POST \
  --url https://api.axiom.co/v2/dashboards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dashboard": {
    "name": "<string>",
    "owner": "<string>",
    "charts": [\
      {\
        "id": "<string>",\
        "type": "TimeSeries",\
        "query": {\
          "apl": "<string>",\
          "queryOptions": {\
            "shownColumns": "<string>"\
          }\
        },\
        "name": "<string>"\
      }\
    ],
    "layout": [\
      {\
        "i": "<string>",\
        "x": 5,\
        "y": 4503599627370495,\
        "w": 6,\
        "h": 50,\
        "minW": 6,\
        "minH": 50.25,\
        "maxW": 6,\
        "maxH": 50,\
        "static": true\
      }\
    ],
    "schemaVersion": 2,
    "timeWindowStart": "<string>",
    "timeWindowEnd": "<string>",
    "description": "<string>",
    "againstTimestamp": "<string>",
    "uid": "<string>"
  },
  "message": "<string>",
  "overwrite": false,
  "uid": "<string>",
  "version": 123
}
'

Response Codes

  • 200
  • 201
  • 400
  • 409
  • 412

Example Response

{
  "dashboard": {
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "dashboard": {
      "name": "<string>",
      "owner": "<string>",
      "charts": [\
        {\
          "id": "<string>",\
          "type": "TimeSeries",\
          "query": {\
            "apl": "<string>",\
            "queryOptions": {\
              "shownColumns": "<string>"\
            }\
          },\
          "name": "<string>"\
        }\
      ],
      "layout": [\
        {\
          "i": "<string>",\
          "x": 5,\
          "y": 4503599627370495,\
          "w": 6,\
          "h": 50,\
          "minW": 6,\
          "minH": 50.25,\
          "maxW": 6,\
          "maxH": 50,\
          "static": true\
        }\
      ],
      "schemaVersion": 2,
      "timeWindowStart": "<string>",
      "timeWindowEnd": "<string>",
      "description": "<string>",
      "againstTimestamp": "<string>",
      "uid": "<string>"
    },
    "id": "<string>",
    "uid": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "version": 123
  },
  "overwritten": true
}

Authorizations

Authorization
Type: string
Location: header
Required: Yes

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Request Body

  • dashboard (object, required): Details of the dashboard to be created.
  • message (string): Optional message.
  • overwrite (boolean, default: false): Whether to overwrite the existing dashboard.
  • uid (string): Stable external dashboard identifier (org-scoped unique).
  • version (integer): Required for updates when overwrite is false.

Response

  • dashboard (object, required): Contains details of the updated dashboard.
  • status (enum, required): Available options: created, updated.
  • overwritten (boolean): Indicates if the dashboard was overwritten.